
Redmine - Defect #19218

Wrong name for pt-BR in language drop-down

2015-02-27 20:43 - Glaubert Dumpierre

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Translations Estimated time: 0.00 hour

Target version: 3.0.1   

Resolution: Fixed Affected version: 3.0.0

Description

After installation does not appear the Portuguese language (Brazilian) "en-us" for selection, only Portuguese of Portugal.

Related issues:

Related to Redmine - Patch #13120: Translation in language selection Closed

Associated revisions

Revision 14051 - 2015-03-07 17:05 - Jean-Philippe Lang

Wrong name for pt-BR language (#19218).

Patch by Go MAEDA.

Revision 14060 - 2015-03-08 10:43 - Jean-Philippe Lang

Merged r14051 (#19218).

History

#1 - 2015-03-01 00:10 - Jan Niggemann (redmine.org team member)

- Status changed from New to Needs feedback

Do I understand correctly: You only see "en-us" and nothing else in the dropdown?

#2 - 2015-03-01 15:34 - Glaubert Dumpierre

Sorry, my mistake, the correct description would be:

After installation does not appear the Portuguese language (Brazilian) "pt-BR" for selection, only Portuguese 

of Portugal.

All other languages appear

#3 - 2015-03-01 15:56 - Toshi MARUYAMA

- File pt-BR.png added

I cannot reproduce.
pt-BR.png 

#4 - 2015-03-02 04:46 - Toshi MARUYAMA

- Related to Patch #13120: Translation in language selection added

#5 - 2015-03-05 16:28 - Go MAEDA

- File pt-br-lang-name.patch added

- Target version set to 3.0.1

The format of language names is  "english name (native name)" from r13909, but I forgot to fix pt-BR in the patch attatched to #13120.

I wrote a new patch to fix it. Mr. Maruyama, could you please merge it to trunk?
https://www.redmine.org/projects/redmine/repository/svn/revisions/13909
https://www.redmine.org/issues/13120


#6 - 2015-03-07 17:06 - Jean-Philippe Lang

- Subject changed from I can not enable the pt-BR language to Wrong name for pt-BR in language drop-down

- Status changed from Needs feedback to Closed

- Assignee set to Jean-Philippe Lang

- Resolution set to Fixed

Patch applied in r14051, thanks.

#7 - 2015-03-07 17:38 - Toshi MARUYAMA

Is it correct changing status to "Closed"?

r14051 is not yet merged to 3.0-stable.

And CI server does not have 3.0-stable.

#8 - 2015-03-07 19:27 - Jean-Philippe Lang

- Status changed from Closed to Resolved

#9 - 2015-03-08 10:43 - Jean-Philippe Lang

- Status changed from Resolved to Closed

#10 - 2015-03-08 12:02 - Toshi MARUYAMA

Toshi MARUYAMA wrote:

And CI server does not have 3.0-stable.

 Thank you for adding 3.0-stable on CI server.

But 3.0-stable on CI server does not have SQLServer environment.

Files

pt-BR.png 27.8 KB 2015-03-01 Toshi MARUYAMA

pt-br-lang-name.patch 500 Bytes 2015-03-05 Go MAEDA
